fixinc related\(!\) bootstrap failure on freebsd-3.2

korbb@egcs.cygnus.com korbb@egcs.cygnus.com
Tue Jul 6 07:56:00 GMT 1999


Hi Gerald,

> My last (and successful) bootstrap was on June 30th. Since yesterday the
> mainline CVS sources won't bootstrap on freebsd-3.2 while sparc-solaris2.6
> still works.
> 
> This seems to be fixinc related.
> 
> [[...]]
> Copied ./g++/libio.h
> Cleaning up DONE files.
> Removing unneeded directories:
> cp: /a/vexpert/files8/test/egcs/egcs/gcc/assert.h: No such file or directory
> gmake[2]: *** [stmp-fixinc] Error 1
> gmake[2]: Leaving directory `/files/pfeifer/OBJ-0607-12:50/gcc'
> gmake[1]: *** [bootstrap] Error 2
> 
> /a/vexpert/files8/test/egcs/egcs is my CVS source tree.

In the original Makefile, there was some code:

          if [ x$(INSTALL_ASSERT_H) != x ] ; \
          then \
            rm -f include/assert.h; \
            cp $(srcdir)/assert.h include/assert.h; \
            chmod a+r include/assert.h; \
          fi \

The new code goes to the trouble to pass that value in to
the shell script:

        INSTALL_ASSERT_H=$(INSTALL_ASSERT_H); SHELL=$(SHELL) ;\

and then never uses $INSTALL_ASSERT_H.  Curious.
Does this patch fix your problem?  Of course, this code
has not been altered for far more than a weekend!

Regards,
    Bruce

1999-07-06  Bruce Korb  <ddsinc09@ix.netcom.com>

	* fixinc/inclhack.tpl: only install assert.h conditionally
	* fixinc/inclhack.sh: regen
	* fixinc/fixincl.sh: regen

Index: inclhack.tpl
===================================================================
RCS file: /cvs/egcs/egcs/gcc/fixinc/inclhack.tpl,v
retrieving revision 1.11
diff -u -r1.11 inclhack.tpl
--- inclhack.tpl	1999/06/09 03:20:44	1.11
+++ inclhack.tpl	1999/07/06 14:45:18
@@ -416,11 +416,13 @@
 #
 # # # # # # # # # # # # # # # # # # # # #
 
-cd $ORIGDIR
-rm -f include/assert.h
-cp ${srcdir}/assert.h include/assert.h || exit 1
-chmod a+r include/assert.h
-[=
+if [ x${INSTALL_ASSERT_H} != x ] && [ -f ${srcdir}/assert.h ]
+then
+  cd $ORIGDIR
+  rm -f include/assert.h
+  cp ${srcdir}/assert.h include/assert.h || exit 1
+  chmod a+r include/assert.h
+fi[=
 
 #  Make the output file executable
 # =][=
Index: inclhack.sh
===================================================================
RCS file: /cvs/egcs/egcs/gcc/fixinc/inclhack.sh,v
retrieving revision 1.37
diff -u -r1.37 inclhack.sh
--- inclhack.sh	1999/07/06 07:13:42	1.37
+++ inclhack.sh	1999/07/06 14:45:20
@@ -3202,8 +3202,10 @@
 #
 # # # # # # # # # # # # # # # # # # # # #
 
-cd $ORIGDIR
-rm -f include/assert.h
-cp ${srcdir}/assert.h include/assert.h || exit 1
-chmod a+r include/assert.h
-
+if [ x${INSTALL_ASSERT_H} != x ] && [ -f ${srcdir}/assert.h ]
+then
+  cd $ORIGDIR
+  rm -f include/assert.h
+  cp ${srcdir}/assert.h include/assert.h || exit 1
+  chmod a+r include/assert.h
+fi
Index: fixincl.sh
===================================================================
RCS file: /cvs/egcs/egcs/gcc/fixinc/fixincl.sh,v
retrieving revision 1.16
diff -u -r1.16 fixincl.sh
--- fixincl.sh	1999/06/09 03:20:41	1.16
+++ fixincl.sh	1999/07/06 14:45:21
@@ -6,7 +6,7 @@
 # files which are fixed to work correctly with ANSI C and placed in a
 # directory that GNU C will search.
 #
-# This script contains 104 fixup scripts.
+# This script contains 105 fixup scripts.
 #
 # See README-fixinc for more information.
 #
@@ -406,8 +406,10 @@
 #
 # # # # # # # # # # # # # # # # # # # # #
 
-cd $ORIGDIR
-rm -f include/assert.h
-cp ${srcdir}/assert.h include/assert.h || exit 1
-chmod a+r include/assert.h
-
+if [ x${INSTALL_ASSERT_H} != x ] && [ -f ${srcdir}/assert.h ]
+then
+  cd $ORIGDIR
+  rm -f include/assert.h
+  cp ${srcdir}/assert.h include/assert.h || exit 1
+  chmod a+r include/assert.h
+fi


More information about the Gcc-patches mailing list